Skip to content

Results are limited to the current section: Cloud services

Product news

Get All Batches

GET
/api/v1/batches
curl --request GET \
--url 'https://example.com/api/v1/batches?order_by=created_at&order_by_direction=ASC&limit=100&offset=0' \
--header 'Authorization: Bearer <token>'

Retrieve a paginated list of all batches for the authenticated user.

Supports ordering, pagination, and filtering via query parameters.

Returns: A paginated collection of batches with job status counts.

order_by
Order By
string
default: created_at
order_by_direction
SortDirection
string
default: DESC
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
id
Any of:
Array<string>

Unique id for the batch

id__starts_with
Any of:
string

First characters of the batch id

project_id
Any of:
Array<string>

Owner project of the batch

user_id
Any of:
Array<string>

Owner user of the batch

device_type
Any of:
Array<string>

Device type enum

status
Any of:
Array<string>
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED

Batch status type enum

complete
deprecated
Any of:
boolean

Deprecated. Use open instead.

open
Any of:
boolean

Filter by whether the batch is still open.

min_jobs
Any of:
integer

Minimum number of jobs in the batch

max_jobs
Any of:
integer

Maximum number of jobs in the batch

start_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a batch was started

end_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a batch finished, failed or was cancelled

queue_priority
Any of:
Array<string>
Allowed values: CRITICAL HIGH MEDIUM LOW FREE

Priority of the batch in the queue.

tag
Any of:
string

Tag used to identify the batch

Successful Response

Media typeapplication/json
HeaderPaginatedResponse[ProducedBatchResponse]
object
status
JSendStatus
string
default: success
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array<object>
ProducedBatchResponse

Response for a batch request which does not include its jobs data.

This schema defines all the fields that can be publicly shared by the API.

object
id
required
Id

Unique identifier for the batch.

string format: uuid
parent_id
required
Any of:
string format: uuid
status
required
BatchStatus

Current batch status.

string
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED
complete
required
Complete

Deprecated. Use open instead. Indicates whether the batch is still accepting additional jobs. False means the batch is open; True means it is closed.

boolean
open
required
Open

Whether the batch is open and accepting additional jobs.

boolean
priority
required
Priority

Deprecated. Priority of the batch.

integer
device_type
required
Device Type

Target device type for the batch.

string
user_id
required
User Id

ID of the user who created the batch.

string
project_id
required
Project Id

ID of the project this batch belongs to.

string format: uuid
created_at
required
Created At

Timestamp when the batch was created.

string format: date-time
updated_at
required
Updated At

Timestamp of the last batch update.

string format: date-time
jobs_count
required
Jobs Count

Total number of jobs in the batch.

integer
jobs_count_per_status
required
Jobs Count Per Status

Number of jobs grouped by status.

object
key
additional properties
any
tags
required
Tags

User-defined labels for organizing batches.

Array<string>
unique items
configuration
required
Any of:
object
key
additional properties
any
backend_configuration
required
Any of:
string
webhook
required
Any of:
string
start_datetime
required
Any of:
string format: date-time
end_datetime
required
Any of:
string format: date-time
queue_priority
required
QueuePriority

Priority queue on which the batch is scheduled.

string
Allowed values: CRITICAL HIGH MEDIUM LOW FREE
queue_position
Any of:
integer
estimated_start_seconds
Any of:
integer
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{
"status": "success",
"message": "OK.",
"code": "200",
"data": [
{
"complete": true,
"created_at": "2025-01-15T10:30:00Z",
"device_type": "FRESNEL",
"end_datetime": "2025-01-15T10:35:00Z",
"id": "00000000-0000-0000-0000-000000000002",
"jobs_count": 3,
"jobs_count_per_status": {
"DONE": 3
},
"open": false,
"priority": 0,
"project_id": "00000000-0000-0000-0000-000000000001",
"queue_priority": "MEDIUM",
"start_datetime": "2025-01-15T10:31:00Z",
"status": "DONE",
"tags": [
"experiment-1"
],
"updated_at": "2025-01-15T10:35:00Z",
"user_id": "user-123"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}